edu.sc.seis.sod.source.network

## Interface NetworkSource

- All Superinterfaces:
    Source
  All Known Implementing Classes:
    AbstractNetworkSource, CombineNetworkSource, CSVNetworkSource, FdsnStation, FilterNetworkFinder, InstrumentationFromDB, LoadedNetworkSource, MockNetworkSource, NetworkFinder, RetryNetworkSource, StationXML, VelocityNetworkSource, WinstonNetworkSource, WrappingNetworkSource

      public interface NetworkSource
      extends Source

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<? extends edu.iris.Fissures.network.ChannelImpl>` | `getChannels(edu.iris.Fissures.network.StationImpl station)`
    `edu.iris.Fissures.IfNetwork.Instrumentation` | `getInstrumentation(edu.iris.Fissures.network.ChannelImpl chanId)`
    `edu.sc.seis.fissuresUtil.cache.CacheNetworkAccess` | `getNetwork(edu.iris.Fissures.network.NetworkAttrImpl attr)`
    `java.util.List<? extends edu.sc.seis.fissuresUtil.cache.CacheNetworkAccess>` | `getNetworkByName(java.lang.String name)`
    `java.util.List<? extends edu.iris.Fissures.network.NetworkAttrImpl>` | `getNetworks()`
    `edu.iris.Fissures.model.TimeInterval` | `getRefreshInterval()`
    `int` | `getRetries()`
    `edu.sc.seis.fissuresUtil.cache.RetryStrategy` | `getRetryStrategy()`
    `edu.iris.Fissures.model.QuantityImpl` | `getSensitivity(edu.iris.Fissures.network.ChannelImpl chanId)`
    `java.util.List<? extends edu.iris.Fissures.network.StationImpl>` | `getStations(edu.iris.Fissures.network.NetworkAttrImpl net)`
    `void` | `setConstraints(NetworkQueryConstraints constraints)`

    - ### Methods inherited from interface edu.sc.seis.sod.source.Source

      `appendToName, getName`

- - ### Method Detail

    - #### getRefreshInterval

          edu.iris.Fissures.model.TimeInterval getRefreshInterval()

    - #### getNetwork

          edu.sc.seis.fissuresUtil.cache.CacheNetworkAccess getNetwork(edu.iris.Fissures.network.NetworkAttrImpl attr)

    - #### getNetworkByName

          java.util.List<? extends edu.sc.seis.fissuresUtil.cache.CacheNetworkAccess> getNetworkByName(java.lang.String name)
                                                                                                throws edu.iris.Fissures.IfNetwork.NetworkNotFound

      Throws:
        `edu.iris.Fissures.IfNetwork.NetworkNotFound`

    - #### getNetworks

          java.util.List<? extends edu.iris.Fissures.network.NetworkAttrImpl> getNetworks()
                                                                                   throws SodSourceException

      Throws:
        `SodSourceException`

    - #### getStations

          java.util.List<? extends edu.iris.Fissures.network.StationImpl> getStations(edu.iris.Fissures.network.NetworkAttrImpl net)
                                                                               throws SodSourceException

      Throws:
        `SodSourceException`

    - #### getChannels

          java.util.List<? extends edu.iris.Fissures.network.ChannelImpl> getChannels(edu.iris.Fissures.network.StationImpl station)
                                                                               throws SodSourceException

      Throws:
        `SodSourceException`

    - #### getSensitivity

          edu.iris.Fissures.model.QuantityImpl getSensitivity(edu.iris.Fissures.network.ChannelImpl chanId)
                                                       throws edu.iris.Fissures.IfNetwork.ChannelNotFound,
                                                              edu.sc.seis.fissuresUtil.sac.InvalidResponse,
                                                              SodSourceException

      Throws:
        `edu.iris.Fissures.IfNetwork.ChannelNotFound`
        `edu.sc.seis.fissuresUtil.sac.InvalidResponse`
        `SodSourceException`

    - #### getInstrumentation

          edu.iris.Fissures.IfNetwork.Instrumentation getInstrumentation(edu.iris.Fissures.network.ChannelImpl chanId)
                                                                  throws edu.iris.Fissures.IfNetwork.ChannelNotFound,
                                                                         edu.sc.seis.fissuresUtil.sac.InvalidResponse,
                                                                         SodSourceException

      Throws:
        `edu.iris.Fissures.IfNetwork.ChannelNotFound`
        `edu.sc.seis.fissuresUtil.sac.InvalidResponse`
        `SodSourceException`

    - #### setConstraints

          void setConstraints(NetworkQueryConstraints constraints)

    - #### getRetries

          int getRetries()

      Specified by:
        `getRetries` in interface `Source`

    - #### getRetryStrategy

          edu.sc.seis.fissuresUtil.cache.RetryStrategy getRetryStrategy()